use crate::{bare::GitBare, cmd::tag::TagSummary, errors::GitResult};

impl GitBare {
    pub fn tag_summary(&self) -> GitResult<TagSummary> {
        let total_count = self.tag_count()?;
        Ok(TagSummary { total_count })
    }
}
